import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class ReimbursementService{
	list (param) {
		return request({
			url: prefix +'/reimbursement/list',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/reimbursement/save`,
			method: 'post',
			data: inputForm
		})
	}

	findById (id) {
		return request({
			url: prefix +'/reimbursement/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/reimbursement/updateStatusById",
			method: "post",
			data: data,
		})
	}
	remove (ids) {
		return request({
			url: prefix+"/reimbursement/remove",
			method: 'delete',
			params: {id: ids}
		})
	}



	adminEditForm(param){
		return request({
			url: prefix + "/reimbursement/adminEditForm",
			method: "post",
			data: param,
		})
	}

	queryByProIds (ids) {
		return request({
			url: prefix + '/reimbursement/queryByProIds',
			method: 'get',
			params: {ids: ids}
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/reimbursement/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

	queryByProjectId(id){
		return request({
			url: prefix + "/reimbursement/queryByProjectId",
			method: "get",
			params: {projectId: id}
		})
	}

}
